%global commit0 5dcc989b6310cbcc9ea585cc00cc102bbb4badff
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver 4.1.3
%global vabi 3.2
%global vabistrict 5e3b6d2
#% global vplus  -plus
#% global vbranch .v4.1plus
%global vbranch .v4.1

Name: vmod-memcached
Summary: Varnish module to access memcached servers from VCL
Version: 1.0.0
Release: 1%{?vbranch}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-memcached
Source0: https://download.varnish-software.com/lib%{name}/lib%{name}-%{version}.tar.gz
buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

requires: varnish = %varnishver
requires: varnishabi-%vabi
requires: varnishabi-strict-%vabistrict

buildrequires: make
buildrequires: gcc
buildrequires: pkgconfig
#buildrequires: python-docutils
buildrequires: memcached
buildrequires: libmemcached-devel
buildrequires: varnish = %varnishver
buildrequires: varnish%{?vplus}-libs-devel = %varnishver
%if 0%{?el5}
BuildRequires: python26
%endif

%description
Varnish module to access memcached servers from VCL

%prep
%setup -q -n lib%{name}-%{version}

%build
export RST2MAN=/bin/true
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%endif
%doc LICENSE README.rst COPYING
#doc CHANGES.rst
%{_mandir}/man3/*.3*

%changelog
* Tue Sep 13 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-1
- Wrap for fedora/epel/copr

